Brightness difference between CPU and GPU rendering with HDR Lightning
Closed, ResolvedPublic

Description

System Information
Windows 10 Home 64Bit
CPU Intel i7 4770
RAM 12GB
GPU GeForce GTX 760 1,5 GB (192-bit) Driver Nvidia 372.90

Blender Version
2.78 4bb1e22

Short description of error
Brightness of diffuse color per image based lightning is different on rendered image between cpu and gpu as render device. This behavior will shown with one of my HDR-Images. An other Image I have tested shown an equal brightness between cpu and gpu rendering of my scene.

Exact steps for others to reproduce the error
Open

and render once with cpu and second with gpu as device and switch between those two and have a look of the brightness of the plane.

cpu-picture:

gpu-picture:

Details

Type
Bug
Thomas Dinges (dingto) triaged this task as "Incomplete" priority.Oct 2 2016, 11:48 AM

The HDR texture is missing in the blend file.

added blend file with included hdr

Sergey Sharybin (sergey) raised the priority of this task from "Incomplete" to "Confirmed".Oct 11 2016, 10:39 AM

Can see some difference between CPU and GPU. Not sure yet what's going on. Need deeper investigation.

Sergey Sharybin (sergey) closed this task as "Resolved".Apr 3 2017, 11:27 AM
Sergey Sharybin (sergey) claimed this task.

This issue was actually fixed in rBf89fbf5 and it is part of 2.78b/2.78c releases (and surely the latest builds from builder.blender.org).

So thanks for the report, closing as resolved now!